@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Outfit:wght@100..900&display=swap');
*{
    margin: 0;
    padding: 0;
}
body{
    font-family: 'Inter', sans-serif;
    background: #000;
}

.nav_bar{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #000000;
    padding: 15px 60px;
}

.logo img{
    width: 60px;
}

.nav{
    display: flex;
    align-items: center;
    gap: 60px;
}

.nav a{
    color: white;
    font-size: 18px;
    font-weight: 300;
    text-decoration: none;

}
.nav .nav_2{
    position: relative;
    display: flex;
}
.nav_2 p{
    position: absolute;
    color: rgb(0, 0, 0);
    background: linear-gradient(to right, #FFFFFF,#C8B9F4 );
    padding:  5px 8px ;
    border-radius: 50%;
    font-weight: 600;
    font-size: 10px;
    right: -25px;
    top: -15px;
}

.menu{
    display: flex;
    align-items: center;
}

.menu a{
    color: white;
    font-size: 18px;
    font-weight: 300;
    text-decoration: none;
}

.menu .m1{
    color: white;
    font-size: 48px;
    transform: scale(0.6) rotate(90deg);
    gap: 10px;
    display: none;
}

.home_hero{
    display: flex;
    flex-direction: column;
    width: 100%;
    background: #000;
    padding-top:50px ;
}


.hero{
    display: flex;
    justify-content: center;
}

.hero_content {
    margin-right:-300px;
    margin-top: 100px;
    z-index: 99;
}


.hero_content h1{
    color: white;
    text-align: end;
    font-size: 95px;
    font-weight: 700;
    line-height: 100px;
}

.hero_img img{
    width: 100%;
}

.hero_move {
    margin-top: -200px;
    margin-left: 230px;
    display: flex;
    align-items: center;
    line-height: 30px;
    font-size: 19px;
}

.hero_move i {
    color: white;
    font-size: 70px;
    transform: rotate(-90deg);
    display: inline-block; 
    animation: moveY 1.5s ease-in-out infinite;
}
  
@keyframes moveY {
    0% {
      transform: rotate(-90deg) translatex(0);
    }
    50% {
      transform: rotate(-90deg) translateX(-25px);
    }
    100% {
      transform: rotate(-90deg) translatex(0);
    }
}
  
.hero_move p{
    color: rgba(255, 255, 255, 0.615);
}

.our_client{
    padding-top: 200px;
    display: flex;
    max-width: 100%;
    justify-content: center;
    flex-direction: column;
    margin: 0 auto;
}

.our_client p{
    color: white;
    font-size: 19px;
    padding-bottom: 50px;
    text-align: start;
    margin-left: 230px;
}

.logos{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 80px;
    margin: 0 auto;
}

.logos img {
    width: 300px;
}

.web3{
    width: 100%;
    height: 80vh;
    background-image: url(images/bg.png);
    background-size: cover;
    margin-top: 110px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
}
.studio {
    width: 30%;
}

.studio h3{
    color: white;
    font-size: 34px;
    font-weight: 600;
    padding-bottom: 50px;
}

.studio p{
    color: white;
    font-size: 19px;
    line-height: 30px;
}

.passion{
    width: 40%;
}

.passion img{
    width: 100%;
}

.projects{
    display: flex;
    flex-direction: column;
    padding: 100px 0;
}

.projects h2{
    font-size: 111px;
    font-weight: 700;
    color: white;
    padding-left: 80px;
    padding-bottom: 110px;
}

.works{
    display: flex;
    gap: 30px;
    margin: 0 auto;
}
.worksA{
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.worksB{
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.design {
    background:rgba(255, 255, 255, 0.241);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.design p{
    font-size: 35px;
    color: white;
    line-height: 43px;
    font-weight: 400;
    padding-left: 30px;
    padding-bottom: 10px;
}

.design button {
    width: 120px;
    background: #000;
    border: none;
    padding: 10px 12px;
    margin-left: 30px;
    border-radius: 50px;
}

.design button a{
    color: white;
    text-decoration: none;
    font-size: 16px;
}

.other_projects{
    width: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.other_projects h2{
    font-size: 114px;
    color: white;
    font-weight: 600;
    padding-left: 80px;
    padding-bottom: 110px;
}
.other_cart{
    width: 100%;
    display: flex;
    margin: 50px auto;
    gap: 2rem;
    overflow: auto;
    transition: transform 0.5s ease;
}

.other_cart::-webkit-scrollbar{
    display: none;
}

.other_cart img {
    flex-shrink: 0;
    width: 500px;
}
  

.cart{
    flex: 0 0 0; 
}


.other_el{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 80px;
}

.sroll{
    display: flex;
    gap: 20px;
    margin-left: 30px;
}

.sroll hr{
    width: 35px;
    height: 5px;
    background: #ffffff50;
   border: none;
}

.sroll hr:nth-child(1){
    width: 45px;
    background: white;
}

.other_el .icons {
    margin-right: 30px;
}

.other_el .icons i{
    color: white;
    font-size: 35px;
    margin-right: 15px;
    padding: 10px 0;
    border-radius: 8px;
    background: #ffffff2d;
    cursor: pointer;
    transition: 0.5s ease;
}

.other_el .icons i:hover{
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.351);
}
.style{
    width: 100%;
}
.style img{
    width: 100%;
}

.grow{
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    background-image: url(images/bg1.png);
    background-size: cover;
    
}

.grow h2{
    color: white;
    font-size: 114px;
    margin: 80px 280px;
}

.groe_cont{
    width: 100%;
    display: flex;
    margin: 0 auto;
    justify-content: center;
    gap: 80px;
    margin-bottom: 80px;
}
.groe_cont img{
    width: 418px;
    height: 250px;
}

.last_cont h4{
    font-size: 30px;
    color: white;
    line-height: 52px;
    font-weight: 500;
    margin-bottom: 10px;
}
.cont p{
    color: rgba(255, 255, 255, 0.57);
    font-size: 35px;
    margin-bottom: 40px;
}

.cont_a{
    color: white !important;
    margin-left: -25px;
}

.last_cont p{
    color: rgba(255, 255, 255, 0.39);
    font-size: 26px;
    line-height: 36px;
}

.about{
    display: flex;
    justify-content: center;
    gap: 30px;
    padding: 150px 0 150px;
}


.cont_about{
    display: flex;
    flex-direction: column;
    width: 35%;
}


.cont_about h2{
    font-size: 115px;
    font-weight: 500;
    color: white;
}
.cont_about p{
    color: white;
    font-size: 26px;
    line-height: 36px;
}

.cont_about a{
    color: white;
    text-decoration: none;
    font-size: 26px;
    margin:50px 0 110px;
}
.cont_about i{
    color: rgba(255, 255, 255, 0.53);
    margin-left: 15px;
}
.cont_about img{
    width: 288px;
}

.about .pr3{
    margin-top: 250px;
}

.footer{
    width: 100%;
    display: flex;
    align-items: center;
    background-image: url(images/fooobg.png);
    background-size: cover;
    background-position:center;
    padding: 100px 0;
}

.foo_web3 {
    display: flex;
    flex-direction: column;
    width: 30%;
    margin-left: 50px;
}
.foo_web3 h2{
    color: white;
    font-size: 47px;
    margin-bottom: 15px;
}
.foo_web3 p{
    color: #FFFFFF;
    font-size: 19px;
    margin-bottom: 50px;
}
.foo_web3 a{
    color: white;
    font-size: 26px;
    text-decoration: none;
}
.foo_web3 i{
    color: rgba(255, 255, 255, 0.571);
    margin-left: 15px;
}

.foo_pro{
    color: white;
    display: flex;
    width: 30%;
    justify-content: center;
    margin-left: 250px;
    gap: 180px;
}
.f_our h4{
    font-size: 19px;
    color: white;
    margin-bottom: 50px;
}
.f_our p{
    font-size: 19px;
    margin-bottom: 12px;
}

.fo_back{
    width: 30%;
    display: flex;
    justify-content: end;
}

.fo_back i{
    color: white;
    font-size: 45px;
    transform: rotate(-90deg);
    margin-bottom: 35px;
    margin-left: 7px;
    cursor: pointer;
    animation: moveY 1.5s ease-in-out infinite;
}
@keyframes moveY {
    0% {
      transform: rotate(-90deg) translatex(0);
    }
    50% {
      transform: rotate(-90deg) translateX(-35px);
    }
    100% {
      transform: rotate(-90deg) translatex(0);
    }
}

.fo_back p{
    color: #ffffff70;
    font-size: 13px;
    cursor: pointer;
}

.iconss{
    display: flex;
    flex-direction: column;
    margin-right: 30px;
}




@media screen and (min-width: 768px) and (max-width: 1024px) {

    .nav{
        display: none;
    }
    .menu a{
        display: none;
    }
    .menu .m1{
        display: block !important;
    }
    .nav_bar{
        padding: 15px 30px ;
    }

    .hero{
        padding-top: 70px;
    }
    .hero_content h1{
        font-size: 60px;
        line-height: 80px;
        white-space: nowrap; 
        padding-left: 50px;
    }
    .hero_content{
        margin-top: 0;
    }
    .hero_img{
        margin-left: 80px;
        margin-top: 50px;
    }
    .hero_move{
        margin-top: 20px;
        justify-content: center;
        padding-right: 80px;
        margin-left: 100px;
    }
    .hero_move p{
        font-size: 30px;
    }
    .logos{
        flex-wrap: wrap;
        gap: 50px;
        margin: 40px;
    }
    
    .our_client p{
        margin-left: 50px;
        
    }
    .logos img{
       width: 280px;
    }
    .web3{
        flex-direction: column;
        margin-top: 0px;

    }
    .studio{
        width: 80%;
        margin-left: 30px;
    }
    .passion{
        width: 90%;
    }
    
    .works {
        width: 100%;
        flex-wrap: wrap;
        justify-content: center;
    }
    .projects h2{
        padding-bottom: 60px;
    }
    .design{
        padding: 30px 0;
    }
    .other_cart img {
        width: 250px;
    }
    .other_projects h2{
        font-size: 90px;
        padding: 30px ;
    }
    .grow h2{
        margin: 40px;
        font-size: 90px;
    }
    .groe_cont{
        flex-wrap: wrap;
        gap: 10px;
        
    }
    .groe_cont img{
        width: 318px;
    }
    .last_cont{
        margin-top: 40px;
        margin-left: -130px;
    }
    .about{
        flex-wrap: wrap;
        justify-content: start;
        margin-left: 20px;
    }
    .cont_about{
        width: 65%;
    } 
    .about .pr3{
        margin-top: -350px;
    }
    .cont_about a{
        margin-bottom: 60px;
    }
    .foo_pro {
        margin-left: 100px;
        gap: 55px;
    }
    .foo_web3 a{
        white-space: nowrap;
    }
}





@media screen and (min-width:375px) and ( max-width:767px){
    .nav{
        display: none;
    }
    .menu a{
        display: none;
    }
    .menu .m1{
        display: block !important;
    }
    .nav_bar{
        padding: 15px 30px ;
    }   
    .home_hero{
        padding: 0;
        align-items: center;
        justify-content: center;
        gap: 50px;
    }
    .hero{
        padding-top: 80px;
        flex-wrap: wrap;
    }
    .hero_content{
        margin: 0;
    }
    .hero_content h1{
        font-size: 50px;
        line-height: 70px;
        text-align: center;
    }
    .hero_move{
        margin-top: 0;
        text-align: center;
        margin-left: 0;
    }
    .hero_move p{
        font-size: 16px;
    }
    .hero_move i{
        font-size: 50px;
    }
    .logos{
        flex-wrap: wrap;
    }
    .logos{
        flex-wrap: wrap;
        gap: 20px;
        margin: 20px;
    }
    .our_client p{
        margin-left: 20px;
    }
    .logos img{
       width: 150px;
    }
    .our_client{
        padding-top: 120px;
    }
    .web3{
        flex-direction: column;
        margin-top: 0;
    }
    .studio{
        width: 80%;
        margin-left: 30px;
    }
    .passion{
        width: 90%;
    }
    .works {
        width: 100%;
        flex-wrap: wrap;
        justify-content: center;
    }
    .projects h2{
        padding-bottom: 60px;
        padding-left: 15px;
        font-size: 60px;
    }
    .worksB{
        width: 90%;
    }
    .worksA{
        width: 90%;
    }
    .design{
        padding: 30px 0;
    }
    .other_cart{
        gap: 1rem;
    }
    .other_cart img {
        width: 150px;
    }
    .other_projects h2{
        font-size: 60px;
        padding: 30px ;
    }
    .other_el .icons i{
        font-size: 20px;
        padding: 10px;
    }
    .grow h2{
        margin: 40px;
        font-size: 50px;
    }
    .groe_cont{
        flex-wrap: wrap;
        gap: 10px;
        justify-content: center;
        
    }
    .groe_cont img{
        width: 318px;
    }
    .last_cont{
        margin-top: 40px;
        margin-left: 30px;
    }
    .cont p{
        font-size: 30px;
        margin-bottom: 10px;
    }
    .last_cont h4{
        font-size: 28px;
    }
    .about{
        flex-wrap: wrap;
        justify-content: center;
    }

    .cont_about h2{
        font-size: 60px;
        margin-bottom: 30px;
    }
    .cont_about{
        width: 80%;
    } 

    .foo_web3 h2{
        font: 37px;
    }
    .about .pr3{
        margin-top: -0;
    }
    .cont_about a{
        margin-bottom: 60px;
    }
    .cont_about p{
        font-size: 20px;
    }
    .footer{
        flex-wrap: wrap;
    }
    .foo_web3{
        width: 80%;
        margin-left: 20px;
    }
    .foo_web3 h2{font-size: 40px;}
    .foo_pro{
        flex-wrap: wrap;
        width: 80%;
        gap: 40px;
        margin: 20px auto;

    }
    .foo_web3 a{
        white-space: nowrap;
    }
    .f_our h4{
        margin-bottom: 20px;
    }
    .fo_back{
        margin: 0 auto ;
    }
    
}